Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Private Member Functions | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext Class Reference
Inheritance diagram for eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext:

## Public Member Functions
| __construct (Repository $repository)
| QueryControllerContext constructor. More...
| gatherContexts (BeforeScenarioScope $scope)
| @BeforeScenario More...
| addContentViewConfigurationBlock (PyStringNode $string)
| @Given /^the following content view configuration block:$/ More...
| aContentItemThatMatchesTheViewConfigurationBlockBelow ()
| @Given /^a content item that matches the view configuration block below$/ More...
| createPhpFile ($phpFilePath, PyStringNode $phpFileContents)
| @Given /^a LocationChildren QueryType defined in "([^"]*)":$/ More...
| visitMatchedContent ()
| @When /^I view a content matched by the view configuration above$/ More...
| theViewedContentSMainLocationIdIsMappedToTheParentLocationIdQueryTypeParameter ()
| @Then /^the viewed content's main location id is mapped to the parentLocationId QueryType parameter$/ More...
| aLocationChildrenQueryIsBuiltFromTheLocationChildrenQueryType ()
| @Then /^a LocationChildren Query is built from the LocationChildren QueryType$/ More...
| aLocationSearchIsExecutedWithTheLocationChildrenQuery ()
| @Given /^a Location Search is executed with the LocationChildren Query$/ More...

## Private Member Functions
| createFolder ()

## Private Attributes
| $configurationContext
| $matchedContent

## Detailed Description

Definition at line 21 of file QueryControllerContext.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext::__construct | ( | Repository | $repository | ) |

QueryControllerContext constructor.

@injectService $repository @ezpublish.api.repository

Definition at line 40 of file QueryControllerContext.php.

## Member Function Documentation

## ◆ aContentItemThatMatchesTheViewConfigurationBlockBelow()

eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext::aContentItemThatMatchesTheViewConfigurationBlockBelow | ( |  | ) |

@Given /^a content item that matches the view configuration block below$/

Definition at line 92 of file QueryControllerContext.php.

References eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext\createFolder().

## ◆ addContentViewConfigurationBlock()

eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext::addContentViewConfigurationBlock | ( | PyStringNode | $string | ) |

@Given /^the following content view configuration block:$/

Definition at line 58 of file QueryControllerContext.php.

## ◆ aLocationChildrenQueryIsBuiltFromTheLocationChildrenQueryType()

eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext::aLocationChildrenQueryIsBuiltFromTheLocationChildrenQueryType | ( |  | ) |

@Then /^a LocationChildren Query is built from the LocationChildren QueryType$/

Definition at line 183 of file QueryControllerContext.php.

## ◆ aLocationSearchIsExecutedWithTheLocationChildrenQuery()

eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext::aLocationSearchIsExecutedWithTheLocationChildrenQuery | ( |  | ) |

@Given /^a Location Search is executed with the LocationChildren Query$/

Definition at line 191 of file QueryControllerContext.php.

## ◆ createFolder()

eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext::createFolder | ( |  | ) |
| private

Returns
  Content

Definition at line 100 of file QueryControllerContext.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext\aContentItemThatMatchesTheViewConfigurationBlockBelow().

## ◆ createPhpFile()

eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext::createPhpFile | ( |  | $phpFilePath,
|  | PyStringNode | $phpFileContents
| ) |  |

@Given /^a LocationChildren QueryType defined in "([^"]*)":$/

Definition at line 126 of file QueryControllerContext.php.

## ◆ gatherContexts()

eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext::gatherContexts | ( | BeforeScenarioScope | $scope | ) |

@BeforeScenario

Definition at line 46 of file QueryControllerContext.php.

## ◆ theViewedContentSMainLocationIdIsMappedToTheParentLocationIdQueryTypeParameter()

eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext::theViewedContentSMainLocationIdIsMappedToTheParentLocationIdQueryTypeParameter | ( |  | ) |

@Then /^the viewed content's main location id is mapped to the parentLocationId QueryType parameter$/

Definition at line 175 of file QueryControllerContext.php.

## ◆ visitMatchedContent()

eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext::visitMatchedContent | ( |  | ) |

@When /^I view a content matched by the view configuration above$/

Definition at line 137 of file QueryControllerContext.php.

## Member Data Documentation

## ◆ $configurationContext

eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext::$configurationContext
| private

Definition at line 26 of file QueryControllerContext.php.

## ◆ $matchedContent

eZ\Bundle\EzPublishCoreBundle\Features\Context\QueryControllerContext::$matchedContent
| private

Definition at line 33 of file QueryControllerContext.php.

The documentation for this class was generated from the following file:

- QueryControllerContext.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.